/* eslint-disable react/jsx-no-target-blank */
import React from 'react';
import { ReactComponent as FasilkomLogo } from '../../images/Logo_Fasilkom.svg';
import { Link } from 'react-router-dom';
import '../../styles/utility/Footer.css';

function Footer() {
  return (
    <div>
      <div id="footerContainer">
        <div id="fasilkomLogo">
          <p>
            <b>Developed under</b>
          </p>
          <a
            target="_blank"
            href="https://cs.ui.ac.id"
            className="footerMenu"
          >
            <div id="logoFasilkom">
              <FasilkomLogo />
            </div>
          </a>
        </div>
        <div id="footerContent">
          <div className="footerContentContainer">
            <p>
              <b>Diskuy</b>
            </p>
            <Link to="/page/1" className="footerMenu">
              Recent threads
            </Link>
            <Link to="/top/page/1" className="footerMenu">
              Top threads
            </Link>
            <Link to="/topic" className="footerMenu">
              Topics
            </Link>
          </div>
          <div className="footerContentContainer">
            <p>
              <b>Code</b>
            </p>
            <a
              target="_blank"
              href="https://gitlab.cs.ui.ac.id/functional-programming/diskuy-fullstack"
              className="footerMenu"
            >
              Source Code
            </a>
          </div>
        </div>
      </div>
    </div>
  );
}

export default Footer;
